////////////////////////////////////////
// 49104 v.7 opg.1
//
// Hovedprogram til XOR-encryptor. Indeholder
// brugerfladen.

import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class EncryptorApplet extends Applet implements ActionListener
{
	// Konstanter
	private final static String ENCRYPT = "Krypter";
	private final static String DECRYPT = "Dekrypter";
	
	// Komponenter til brugerinterface
	private Button bCrypt = new Button(ENCRYPT);
	private TextField tfPassword = new TextField(8);
	private TextArea taText = new TextArea();
	private Panel pTop = new Panel(); 

	// Interne variabler
	private int keylength = 0;
	private boolean do_decrypt = false;


	public EncryptorApplet() {}
	public void destroy() {}
	public void start() {}
	public void stop() {}
	public void paint(Graphics g)	{}

	
	public void init()
	{
		// St applets strrelse
		resize(320,240);

		// St ActionListener p knap
		bCrypt.addActionListener( this );
		
		// Lav layout
		pTop.setLayout( new GridLayout(1,2,10,0) );
		pTop.setBackground( Color.lightGray );
		pTop.add( tfPassword );
		pTop.add( bCrypt );
		setLayout( new BorderLayout() );
		add( pTop, BorderLayout.NORTH );
		add( taText, BorderLayout.CENTER);
	}
	

	public String getAppletInfo()
	{
		return "Name: EncryptorApplet\n" +
		       "Author: Mikael Rune\r\n" +
		       "Created with Hard Work\n"+
		       "Class is declared freeware.";
	}


	// Fang knap-tryk.
	public void actionPerformed(ActionEvent e)
	{
		if ( e.getSource() == bCrypt )
		{
			// Klargr Encryptor objekt
			XOREncryptor Enc = new XOREncryptor();
			Enc.setPassword( tfPassword.getText() );
			Enc.setText( taText.getText() );
			
			// Krypter eller dekrypter
			if (bCrypt.getLabel() == ENCRYPT)
			{
				taText.setText( Enc.getEncryptedText() );
				bCrypt.setLabel( DECRYPT );
			} else
			if (bCrypt.getLabel() == DECRYPT )
			{
				taText.setText( Enc.getEncryptedText() );
				bCrypt.setLabel( ENCRYPT );
			};
			
			// Frigiv Encryptor objekt
			Enc = null;
		}
	}
}


