////////////////////////////////////////
// 49104 v.8 opg.1
//
// Statestik og studie af Random-funktionen

import java.applet.*;
import java.awt.*;
import java.awt.event.*;


public class Statestik extends Applet implements ActionListener
{
	// Konstanter
	final int MAX=21;
	final int BOERGE=1000;

	// GUI komponeneter
	public TextField tx[] = new TextField[MAX];
	public TextField tspred = new TextField(16), tmid = new TextField(16);
	public Label lspred =  new Label("Spredning: "), lmid = new Label("Middelvrdi: ");
	public Button btn = new Button(" Beregn ");

	// Variable
	public int hyptbl[] = new int[MAX];


	public Statestik()
	{
	}


	public String getAppletInfo()
	{
		return "Name: Statestik\r\n" +
		       "Author: Mikael og Rune\r\n" +
		       "Created with HardWork++";
	}


	public void init()
	{
   	resize(420, 380);
		for(int lp1=0 ; lp1<MAX ; lp1++)
		{
			tx[lp1] = new TextField(4);
			tx[lp1].setEditable(false);
			add(tx[lp1]);
		}
		btn.addActionListener(this);
		add(btn);
		add(lspred);
		add(tspred);
		add(lmid);
		add(tmid);
	}


	public void actionPerformed(ActionEvent e)
	{
		if (e.getSource() == btn)
		{
			for (int lp1 = 0 ; lp1 < MAX; lp1++)
			{
				hyptbl[lp1] = 0;
			}
			
			// Det er her, de tilfldige tal bliver lavet...
			for (int lp1 = 0 ; lp1<=BOERGE; lp1++)
			{
				hyptbl[(int)(Math.random()*7 + Math.random()*7 + Math.random()*6 )]++;
			}	

			for (int lp1 = 0 ; lp1 < MAX; lp1++)
			{
				tx[lp1].setText("" + hyptbl[lp1]);
			}

			double Hyppmidd = 0, Hyppspred=0;

			for (int lp1=0; lp1< (MAX-1); lp1++)
			{
				Hyppmidd += hyptbl[lp1]*lp1;
			}

			Hyppmidd /= 1000;

			for (int lp1=0; lp1< (MAX-1); lp1++)
			{
				Hyppspred += (hyptbl[lp1]*lp1-Hyppmidd)*(hyptbl[lp1]*lp1-Hyppmidd);
			}
			Hyppspred /= 999;
			Hyppspred = Math.sqrt(Hyppspred);
			
			tspred.setText(Hyppspred + "");
			tmid.setText(Hyppmidd + "");

			repaint();
		}
	}
	
	public void paint(Graphics g)
	{
		final int BOT=370;
		for (int lp1=0; lp1<MAX; lp1++)
		{
			g.fillRect(lp1*10, BOT-hyptbl[lp1]*2, 9, hyptbl[lp1]*2);
		}
	}

	
	public void destroy()
	{
	}
	public void start()
	{
	}
	public void stop()
	{
	}



}
