////////////////////////////////////////
// 49104 v.9 opg.1
//
// Rdder i andengradspolynomium

import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class Roedder extends Applet implements ActionListener
{
	// GUI komponenter
	private TextField tA = new TextField(4);
	private TextField tB = new TextField(4);
	private TextField tC = new TextField(4);
	private TextField tR = new TextField(60);
	private Button bCalc = new Button("Beregn Rdder Til Andengradspolynomium Med Reelle Koefficienter nu...");
	private Button bClear = new Button("Fjern alle de latterlige vrdier jeg lige har indtastet, nu");
	private Button bTerm = new Button("Jeg er trt af jeres latterlige program - VIG BORT! nu");

	public Roedder()
	{
	}

	public String getAppletInfo()
	{
		return "Name: Roedder\r\n" +
		       "Author: Mikael og Rune\r\n" +
		       "Created with Hard Work";
	}


	public void init()
	{
   	resize(450, 300);

		bCalc.addActionListener(this);
		bClear.addActionListener(this);
		bTerm.addActionListener(this);

		setBackground(new Color(160, 160, 160) );
		tR.setBackground(new Color(160, 160, 160) );
		add(tA);
		add( new Label("x^2 + ") );
		add(tB);
		add( new Label("x + ") );
		add(tC);
		add( new Label(" = 0") );
		add(bCalc);
		add(bClear);
		add(bTerm);
		add( new Label("Rdder:") );
		add(tR);	
		tR.setEditable( false );

	}

	public void actionPerformed( ActionEvent e )
	{
		if (e.getSource() == bTerm)
		{
			tR.setText("      Se venligst statuslinien for yderligere information, red.");
			showStatus("Gu ve vi da ikke nikke nej - Bordet fanger!");
		}
		
		if (e.getSource() == bCalc)
		{
			double a=0, b=0, c=0;
			try
			{
				a = Double.valueOf(tA.getText()).doubleValue();
				b = Double.valueOf(tB.getText()).doubleValue();
				c = Double.valueOf(tC.getText()).doubleValue();

				if ( a==0 )
				{
					if (b==0)
					{
						if (c==0)
							tR.setText("Alle x er rdder");
						else 
							tR.setText("Ingen rdder");
					}
					else
					{
						if (c==0)
							tR.setText("x=0");
						else
							tR.setText(""+(-c/b));
					}
				}
				else
				{
					double d = b*b-4*a*c;
					if (d<0)
						tR.setText("Ingen reelle rdder");
					if (d==0)
						tR.setText("x="+(-b/(2*a)));
					if (d>0)
						tR.setText("x1= "+((-b+Math.sqrt(d))/(2*a))+"  x2= "+((-b-Math.sqrt(d))/(2*a)));
				}
			}
		
			catch (NumberFormatException x)
			{
				tR.setText("FLADPANDE - prv at indtaste reelle koefficienter");

			}
		}


		if (e.getSource() == bClear)
		{
			tA.setText("");
			tB.setText("");
			tC.setText("");
			tR.setText("");
			showStatus("Indtast endelig et andengradspolynomium efter eget valg...");
		}
	}

	public void destroy()
	{
	}

	public void paint(Graphics g)
	{
	}

	public void start()
	{
	}
	
	public void stop()
	{
	}



}
