////////////////////////////////////////
// 49104 v.2 opg.3
//
// Beregning af Pi ved led-addering
//

class Pi
{
	static public void main(String[] args)
	{
		int antal=0;
		int fortegn=-1;
		int naevner=3;
		double vortPi=4;
		double led=1;
		double fejlprocent=0.0000001;

		System.out.println("Dette program udskriver tilnrmet vaerdi for Pi!");
		System.out.println("");
		System.out.println("Pi inden for en noejagtighed paa: " + fejlprocent);
		System.out.print("Beregner, vent venligst....");

		// Lkkens styring er baseret p antagelsen at Math.PI er korrekt -
		// alternativt kunne man have brugt forskellen mellem de to sidste beregnede vrdier,
		// hvilket er direkte udtrykt i led's strrelse, da led->0
		while (Math.abs(vortPi-Math.PI)>=fejlprocent)
		{
			led = fortegn*4.0/naevner;
			vortPi = vortPi + led;
			fortegn = -fortegn;
			naevner += 2;
			antal++;

			// Et lille gimmick - blinkende tekst! "\r" betyder g til linjens start.
			if ( (antal%400000)==0 )
				System.out.print("\r                          ");

			if ( (antal%400000)==200000 )
				System.out.print("\rBeregner, vent venligst...");
		}

		System.out.println("\r                                     ");
		System.out.println("Beregnet vaerdi: \t\t"+vortPi);
		System.out.println("Blev beregnet paa:\t\t"+antal+" gennemloeb.");
	}
}