////////////////////////////////////////
// 49104 v.7 opg.1
//
// Implementation af Encryptor, der anvender XOR-kryptering.
// Desvrre har RN overset en lille detalje - rammer et bogstav i 
// kodeordet det samme bogstav som i teksten, vil XOR'ningen af dem
// give 0, der i Java fortolkes som slut p tekststrengen.

public class XOREncryptor extends Encryptor
{
	private String Text = "", Newtext = "";
	private String Password = "";
	
	public XOREncryptor() {}
	
	public void setPassword( String password ) { Password = password; }
	public String getPassword() { return Password; }

	public void setText( String text ) { Text = text; }
	public String getText() { return Text; }
	
	public String getEncryptedText()
	{
		if ( Password.length() == 0 ) return Text;
		Newtext = "";
		for (int lp1=0; lp1<Text.length(); lp1++)
		{
			Newtext += (char) (Text.charAt(lp1) ^ Password.charAt( lp1 % Password.length() ));
		}	
		return Newtext;
	}

	public String getDecryptedText()
	{
		return getEncryptedText();
	}
	
}	