////////////////////////////////////////
// 49104 v.7 opg.2
//
// Brugerinterface til Makeint klassen

import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class MakeintApplet extends Applet implements ActionListener
{
	// Konstanter
	private final static String ENCRYPT = "Lav International";
	private final static String DECRYPT = "Lav Dansk";
	
	// Brugerinterface
	private Button bCrypt = new Button(ENCRYPT);
	private TextArea taText = new TextArea();
	private Panel pTop = new Panel(); 
	
	// tilstandsvariable
	private int keylength = 0;
	private boolean do_decrypt = false;
	
	
	public MakeintApplet() {}
	public void destroy() {}	
	public void start() {}	
	public void stop() {}
	public void paint(Graphics g)	{}

	
	public void init()
	{
		// St applets strrelse
		resize(320,240);

		// St actionlistener
		bCrypt.addActionListener( this );
		
		// Lav layout og tilfj komponenter
		setLayout( new BorderLayout() );
		add( pTop, BorderLayout.NORTH );
		add( taText, BorderLayout.CENTER);
		pTop.setLayout( new GridLayout(1,2) );
		pTop.add( bCrypt );
	}
	
	
	public String getAppletInfo()
	{
		return "Name: EncryptorApplet\n" +
		       "Author: Mikael & Rune\r\n" +
		       "Created with Hard Work\n"+
		       "Class is declared freeware.";
	}


	public void actionPerformed(ActionEvent e)
	{
		if ( e.getSource() == bCrypt )
		{
			// Afbryd hvis ingen tekst
			if ( taText.getText().length()==0 ) return;
			
			// Klargr objekt.
			Makeint Enc = new Makeint();
			Enc.setText( taText.getText() );
			
			// Overst
			if (bCrypt.getLabel() == ENCRYPT)
			{
				taText.setText( Enc.getEncryptedText() );
				bCrypt.setLabel( DECRYPT );
			} else
			if (bCrypt.getLabel() == DECRYPT )
			{
				taText.setText( Enc.getDecryptedText() );
				bCrypt.setLabel( ENCRYPT );
			};
			
			// Frigiv overstter
			Enc = null;
		}
	}
	
}